Bug 1313591 - User can install satellite without katello easily (using foreman scenario)
User can install satellite without katello easily (using foreman scenario)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 20:14 EST by Justin Sherrill
Modified: 2017-08-02 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 09:12:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2016-03-01 20:14:44 EST
Description of problem:

When installing satellite 6.2 a user can easily perform an incomplete installation with the foreman scenario:

foreman-installer --scenario='foreman'

The only way to resolve the mistake is to wipe the box.  The scenario should not even be available.
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:34:34 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Brad Buckingham 2016-12-09 09:12:13 EST
The behavior described is no longer possible on Satellite 6.2 GA; therefore, I am going to close the bugzilla.

# foreman-installer --scenario='foreman'
ERROR: Scenario (/etc/foreman-installer/scenarios.d/foreman.yaml) was not found, can not continue

# satellite-installer --scenario='foreman'
ERROR: Scenario (/etc/foreman-installer/scenarios.d/foreman.yaml) was not found, can not continue

# satellite-installer --list-scenarios
Available scenarios
  Capsule (use: --scenario capsule)
        Install a stand-alone Capsule.
  Satellite (INSTALLED)
        Install Satelite server

Note You need to log in before you can comment on or make changes to this bug.